Package org.apache.tapestry5.corelib.components

# Class Recursive

java.lang.Object
org.apache.tapestry5.corelib.components.Recursive

All Implemented Interfaces:
  `RecursiveContext.Provider`

public class Recursive extends Object implements RecursiveContext.Provider

`Loop`-like component that renders its templates recursively based on `Recursive` parent-child relationships. The objects should have one or more corresponding `RecursiveValueProvider` implementations to convert them to `Recursive` instances. The insertion point for rendering children is defined by the `RecursiveBody` component, which can only be used once inside a `Recursive` instance.

This was contributed by KGL PubFactory.

Since:
  5.9.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Recursive()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientId()`
  `String`
  `getClientId(String value)`
  `String`
  `getClientIdForCurrent()`
  `RecursiveValue<?>`
  `getCurrent()`
  `String`
  `getPlaceholderClientId(String value)`
  `void`
  `registerPlaceholder(Element element)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Recursive

    public Recursive()

- ## Method Details

  - ### getClientId

    public String getClientId()

  - ### getClientId

    public String getClientId(String value)

  - ### getPlaceholderClientId

    public String getPlaceholderClientId(String value)

  - ### getCurrent

    public RecursiveValue<?> getCurrent()
    Specified by:
      `getCurrent` in interface `RecursiveContext.Provider`

  - ### getClientIdForCurrent

    public String getClientIdForCurrent()
    Specified by:
      `getClientIdForCurrent` in interface `RecursiveContext.Provider`

  - ### registerPlaceholder

    public void registerPlaceholder(Element element)
    Specified by:
      `registerPlaceholder` in interface `RecursiveContext.Provider`